Skip to main content
GET
/
customers
/
{external_customer_id}
/
payment_methods
List all customer payment methods
curl --request GET \
  --url https://api.getlago.com/api/v1/customers/{external_customer_id}/payment_methods \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getlago.com/api/v1/customers/{external_customer_id}/payment_methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getlago.com/api/v1/customers/{external_customer_id}/payment_methods', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "payment_methods": [
    {
      "lago_id": "4cf085a7-c196-4f07-a543-97c50ec6e8b2",
      "is_default": true,
      "payment_provider_type": "stripe",
      "provider_method_id": "pm_1N8ZQX2eZvKYlo2CkL9Y8XYZ",
      "created_at": "2025-01-21T00:10:29Z",
      "payment_provider_code": "stripe_prod",
      "payment_provider_name": "Stripe"
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}
{
  "status": 401,
  "error": "Unauthorized"
}
{
  "status": 404,
  "error": "Not Found",
  "code": "object_not_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_customer_id
string
required

The customer external unique identifier (provided by your own application)

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

Response

List of customer's payment methods

payment_methods
object[]
required
meta
object
required